PHP Deprecation Notice With Recent Custom Posts

I'm getting the following notice when I try to use this plugin:

Notice: WP_Query was called with an argument that is deprecated since version 3.1! "caller_get_posts" is deprecated. Use "ignore_sticky_posts" instead. in /var/www/sites/edu.uconn.wordpress.development/public_html/wp-includes/functions.php on line 2925